# Copyright (C) 2012-2013 by the Free Software Foundation, Inc.
#
# This file is part of GNU Mailman.
#
# GNU Mailman is free software: you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free
# Software Foundation, either version 3 of the License, or (at your option)
# any later version.
#
# GNU Mailman is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along with
# GNU Mailman.  If not, see <http://www.gnu.org/licenses/>.

"""3.0b3 -> 3.0b4 schema migrations.

Type changes:
 * mailinglist.moderator_password: TEXT -> BYTEA
"""

from __future__ import absolute_import, print_function, unicode_literals

__metaclass__ = type
__all__ = [
    'upgrade',
    ]


VERSION = '20131007000000'



def upgrade(database, store, version, module_path):
    if database.TAG == 'sqlite':
        return
    store.execute("""
        ALTER TABLE mailinglist ALTER COLUMN moderator_password TYPE BYTEA
            USING convert_to(moderator_password, 'SQL_ASCII');
    """)
    # Record the migration in the version table.
    database.load_schema(store, version, None, module_path)

